## ipmiutil 2.9.6

=== doc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ipmiutil
pkgincludedir = $(includedir)/ipmiutil
pkglibdir = $(libdir)/ipmiutil
pkglibexecdir = $(libexecdir)/ipmiutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CROSS_CFLAGS = 
CROSS_LFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GPL_CFLAGS = 
GREP = /bin/grep
IA64_CFLAGS = 
INIT_DIR = /etc//rc.d/init.d
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INS_LIB = 
LANDESK_CFLAGS = 
LANDESK_LDADD = 
LANPLUS_CFLAGS = -DHAVE_LANPLUS
LANPLUS_CRYPTO = -lcrypto
LANPLUS_LDADD = -L../lib -lipmi_lanplus -L/usr/local/lib -lcrypto
LANPLUS_LIB = ../lib/libipmi_lanplus.a
LANPLUS_SAM = yes
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LD_SAMX = ../lib/libipmi_lanplus.a -lcrypto
LIBOBJS = 
LIBS = 
LIBSENSORS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DIR = /usr/lib64
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
OS_LFLAGS = 
OTOOL = 
OTOOL64 = 
PACKAGE = ipmiutil
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ipmiutil
PACKAGE_STRING = ipmiutil 2.9.6
PACKAGE_TARNAME = ipmiutil
PACKAGE_VERSION = 2.9.6
PATH_SEPARATOR = :
PKG_DIR = /root/rpmbuild
RANLIB = ranlib
SAM2OBJ = isensor2.o ievents2.o
SED = sed
SET_MAKE = 
SHELL = /bin/sh
SHR_LINK = libipmiutil.so
STRIP = strip
SUBDIR_S = doc scripts lib util
SYSTEMD_DIR = /usr/share/ipmiutil
VERSION = 2.9.6
abs_builddir = /usr/dev/ipmiutil-2.9.6/doc
abs_srcdir = /usr/dev/ipmiutil-2.9.6/doc
abs_top_builddir = /usr/dev/ipmiutil-2.9.6
abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-redhat-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
datadir = ${prefix}/share
datarootdir = ${prefix}/share
docdir = ${prefix}/share/doc/ipmiutil-${version}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-redhat-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/bin/sh
# Makefile to build/install doc files
#
MKDIR = sh ../mkinstalldirs 
INSTALL_SH = sh ../install-sh -c
INSTALL_DATA_SH = ${INSTALL_SH} -m 644
etcdir = /etc
datato = ${DESTDIR}${datadir}/ipmiutil
cronto = ${DESTDIR}${etcdir}/cron.daily
manto = ${DESTDIR}${mandir}/man8
varto = ${DESTDIR}/var/lib/ipmiutil
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic clean-libtool mostlyclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


all:	

clean:

clobber:

distclean:

check:

install:
	$(MKDIR) ${manto}
	$(MKDIR) ${datato}
	$(MKDIR) ${varto}
	${INSTALL_DATA_SH} isel.8      ${manto}
	${INSTALL_DATA_SH} isensor.8   ${manto}
	${INSTALL_DATA_SH} ireset.8    ${manto}
	${INSTALL_DATA_SH} ialarms.8   ${manto}
	${INSTALL_DATA_SH} iwdt.8      ${manto}
	${INSTALL_DATA_SH} ifru.8      ${manto}
	${INSTALL_DATA_SH} ilan.8      ${manto}
	${INSTALL_DATA_SH} iserial.8   ${manto}
	${INSTALL_DATA_SH} icmd.8      ${manto}
	${INSTALL_DATA_SH} igetevent.8 ${manto}
	${INSTALL_DATA_SH} ihealth.8   ${manto}
	${INSTALL_DATA_SH} ipmiutil.8  ${manto}
	${INSTALL_DATA_SH} isol.8      ${manto}
	${INSTALL_DATA_SH} idiscover.8 ${manto}
	${INSTALL_DATA_SH} ievents.8   ${manto}
	${INSTALL_DATA_SH} iconfig.8   ${manto}
	${INSTALL_DATA_SH} ipmi_port.8 ${manto}
	${INSTALL_DATA_SH} ipicmg.8    ${manto}
	${INSTALL_DATA_SH} ifirewall.8 ${manto}
	${INSTALL_DATA_SH} ifwum.8     ${manto}
	${INSTALL_DATA_SH} ihpm.8      ${manto}
	${INSTALL_DATA_SH} isunoem.8     ${manto}
	${INSTALL_DATA_SH} itsol.8    	 ${manto}
	${INSTALL_DATA_SH} iekanalyzer.8 ${manto}
	${INSTALL_DATA_SH} idelloem.8    ${manto}
	${INSTALL_DATA_SH} idcmi.8 	 ${manto}
	${INSTALL_DATA_SH} ismcoem.8 	 ${manto}
	${INSTALL_DATA_SH} bmclanpet.mib ${datato}
	cd ${manto}; gzip -f *.8

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== lib/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ipmiutil
pkgincludedir = $(includedir)/ipmiutil
pkglibdir = $(libdir)/ipmiutil
pkglibexecdir = $(libexecdir)/ipmiutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
subdir = lib
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/libipmiutil.pc.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = libipmiutil.pc
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CROSS_CFLAGS = 
CROSS_LFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GPL_CFLAGS = 
GREP = /bin/grep
IA64_CFLAGS = 
INIT_DIR = /etc//rc.d/init.d
INSTALL = sh ../install-sh -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
# INSTALL_DATA = $(INSTALL) -m 644
INSTALL_SCRIPT = $(INSTALL) -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INS_LIB = 
LANDESK_CFLAGS = 
LANDESK_LDADD = 
LANPLUS_CFLAGS = -DHAVE_LANPLUS
LANPLUS_CRYPTO = -lcrypto
LANPLUS_LDADD = -L../lib -lipmi_lanplus -L/usr/local/lib -lcrypto
LANPLUS_LIB = ../lib/libipmi_lanplus.a
LANPLUS_SAM = yes
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LD_SAMX = ../lib/libipmi_lanplus.a -lcrypto
LIBOBJS = 
LIBS = 
LIBSENSORS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DIR = /usr/lib64
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
OS_LFLAGS = 
OTOOL = 
OTOOL64 = 
PACKAGE = ipmiutil
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ipmiutil
PACKAGE_STRING = ipmiutil 2.9.6
PACKAGE_TARNAME = ipmiutil
PACKAGE_VERSION = 2.9.6
PATH_SEPARATOR = :
PKG_DIR = /root/rpmbuild
RANLIB = ranlib
SAM2OBJ = isensor2.o ievents2.o
SED = sed
SET_MAKE = 
SHELL = /bin/sh
SHR_LINK = libipmiutil.so
STRIP = strip
SUBDIR_S = doc scripts lib util
SYSTEMD_DIR = /usr/share/ipmiutil
VERSION = 2.9.6
abs_builddir = /usr/dev/ipmiutil-2.9.6/lib
abs_srcdir = /usr/dev/ipmiutil-2.9.6/lib
abs_top_builddir = /usr/dev/ipmiutil-2.9.6
abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-redhat-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
datadir = $(iprefix)/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-redhat-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
libdir = $(iprefix)/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = $(iprefix)/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = $(iexec_prefix)/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/bin/sh
# Makefile.am to build/install ipmiutil lib files
#
# If --enable-lanplus (-DHAVE_LANPLUS), then this script
# does a make from lib/lanplus/ for the lanplus library.
# If --enable-landesk (-DLINK_LANDESK), then this script
# assumes that these files are copied into this lib/ directory:
#   libipmiapi32.a  libipmiapi64.a.suse  libipmiapi64.a.redhat
#
MKDIR = sh ../mkinstalldirs 
INSTALL_BIN = /usr/bin/install -c
iprefix = /usr
iexec_prefix = ${prefix}
PLUSFLAGS = -DHAVE_LANPLUS
datato = ${DESTDIR}${datadir}/ipmiutil
lib32 = ${DESTDIR}$(iprefix)/lib
lib64 = ${DESTDIR}$(iprefix)/lib64
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign lib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
libipmiutil.pc: $(top_builddir)/config.status $(srcdir)/libipmiutil.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic clean-libtool mostlyclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


all:	
	if [ -f libipmiapi32.a ]; then \
	  rm -f libipmiapi.a;  \
	  if [ "`uname -m`" = "x86_64" ]; then \
	    if [ -f /etc/SuSE-release ]; then  \
	      cp -f libipmiapi64.a.suse libipmiapi.a; \
	    else cp -f libipmiapi64.a.redhat  libipmiapi.a; fi \
          else cp -f libipmiapi32.a libipmiapi.a; fi \
	fi
	if [ "$(PLUSFLAGS)" = "-DHAVE_LANPLUS" ]; then \
	  cd lanplus; make clean; make  ; \
	  pwd; cp -f libipmi_lanplus.a .. ; \
	fi

clean:
	rm -f libipmiapi.a lib*_lanplus.a lib*_lanplus.so
	cd lanplus; make clean

clobber:
	rm -f libipmiapi.a lib*_lanplus.a  lib*_lanplus.so
	cd lanplus; make clean

distclean:
	rm -f libipmiapi.a lib*.a  lib*_lanplus.so
	cd lanplus; make distclean

install:
	$(MKDIR) ${datato}
	cd lanplus; make install

check:

installso:
	@if [ -d /usr/lib64 ]; then \
	$(MKDIR) ${lib64} ; \
	echo "installing libipmi_lanplus into ${lib64}"; \
	cd lanplus; /bin/sh ../../libtool --mode=install $(INSTALL_BIN)  'libipmi_lanplus.la' '${lib64}/libipmi_lanplus.la' ; \
	$(INSTALL_BIN) .libs/libipmi_lanplus.so.0.0.0 ${lib64}/libipmi_lanplus.so.0.0.0 ; \
	(cd ${lib64} && rm -f libipmi_lanplus.so.0 && ln -s libipmi_lanplus.so.0.0.0 libipmi_lanplus.so.0) ; \

=== scripts/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# scripts/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ipmiutil
pkgincludedir = $(includedir)/ipmiutil
pkglibdir = $(libdir)/ipmiutil
pkglibexecdir = $(libexecdir)/ipmiutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
subdir = scripts
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CROSS_CFLAGS = 
CROSS_LFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GPL_CFLAGS = 
GREP = /bin/grep
IA64_CFLAGS = 
INIT_DIR = /etc//rc.d/init.d
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INS_LIB = 
LANDESK_CFLAGS = 
LANDESK_LDADD = 
LANPLUS_CFLAGS = -DHAVE_LANPLUS
LANPLUS_CRYPTO = -lcrypto
LANPLUS_LDADD = -L../lib -lipmi_lanplus -L/usr/local/lib -lcrypto
LANPLUS_LIB = ../lib/libipmi_lanplus.a
LANPLUS_SAM = yes
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LD_SAMX = ../lib/libipmi_lanplus.a -lcrypto
LIBOBJS = 
LIBS = 
LIBSENSORS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DIR = /usr/lib64
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
OS_LFLAGS = 
OTOOL = 
OTOOL64 = 
PACKAGE = ipmiutil
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ipmiutil
PACKAGE_STRING = ipmiutil 2.9.6
PACKAGE_TARNAME = ipmiutil
PACKAGE_VERSION = 2.9.6
PATH_SEPARATOR = :
PKG_DIR = /root/rpmbuild
RANLIB = ranlib
SAM2OBJ = isensor2.o ievents2.o
SED = sed
SET_MAKE = 
SHELL = /bin/sh
SHR_LINK = libipmiutil.so
STRIP = strip
SUBDIR_S = doc scripts lib util
SYSTEMD_DIR = /usr/share/ipmiutil
VERSION = 2.9.6
abs_builddir = /usr/dev/ipmiutil-2.9.6/scripts
abs_srcdir = /usr/dev/ipmiutil-2.9.6/scripts
abs_top_builddir = /usr/dev/ipmiutil-2.9.6
abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-redhat-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
datadir = ${prefix}/share
datarootdir = ${prefix}/share
docdir = ${prefix}/share/doc/ipmiutil-${version}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-redhat-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/bin/sh
# Makefile to build/install script files
#
MKDIR = sh ../mkinstalldirs 
INSTALL_SH = sh ../install-sh -c
INSTALL_DATA_SH = ${INSTALL_SH} -m 644
INSTALL_SCRIPT_SH = ${INSTALL_SH} -m 755
etcdir = /etc
datato = ${DESTDIR}${datadir}/ipmiutil
cronto = ${DESTDIR}${etcdir}/cron.daily
sbinto = ${DESTDIR}${sbindir}
varto = ${DESTDIR}/var/lib/ipmiutil
initto = ${DESTDIR}/etc//rc.d/init.d
sysdto = ${DESTDIR}/usr/share/ipmiutil
sysvinit = ${datato}
sbinfls = ialarms ihealth ifru igetevent ireset icmd isol ilan isensor isel iserial iwdt iconfig ipicmg ifirewall ifwum ihpm
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign scripts/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign scripts/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic clean-libtool mostlyclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


all:	

clean:

clobber:

distclean:

check:

install:
	$(MKDIR) ${datato}
	$(MKDIR) ${sbinto}
	$(MKDIR) ${initto}
	$(MKDIR) ${varto}
	$(MKDIR) ${sysdto}
	${INSTALL_SCRIPT_SH} ipmi_if.sh   ${datato}
	${INSTALL_SCRIPT_SH} evt.sh       ${datato}
	if [ -f /etc/debian_version ]; then \
	   sysvinit=${initto}; fi
	${INSTALL_SCRIPT_SH} ipmiutil_wdt ${sysvinit}/ipmiutil_wdt
	${INSTALL_SCRIPT_SH} ipmiutil_asy ${sysvinit}/ipmiutil_asy
	${INSTALL_SCRIPT_SH} ipmiutil_evt ${sysvinit}/ipmiutil_evt
	${INSTALL_SCRIPT_SH} ipmi_port.sh ${sysvinit}/ipmi_port
	${INSTALL_SCRIPT_SH} ipmi_info    ${sysvinit}/ipmi_info
	${INSTALL_SCRIPT_SH} checksel     ${datato}
	${INSTALL_DATA_SH} ipmiutil_wdt.service ${sysdto}
	${INSTALL_DATA_SH} ipmiutil_asy.service ${sysdto}
	${INSTALL_DATA_SH} ipmiutil_evt.service ${sysdto}
	${INSTALL_DATA_SH} ipmi_port.service    ${sysdto}
	${INSTALL_SCRIPT_SH} ipmiutil.env     ${datato}
	${INSTALL_SCRIPT_SH} ipmiutil.pre     ${datato}
	${INSTALL_SCRIPT_SH} ipmiutil.setup   ${datato}
	${INSTALL_SCRIPT_SH} ipmi.init.basic  ${datato}
	for f in ${sbinfls}; do \
	    ${INSTALL_SCRIPT_SH} $$f ${sbinto}; done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
ipmiutil (2.9.6-1) unstable; urgency=low

  * Initial release (Closes: #753881).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 29 May 2015 08:27:28 +0200

=== debian/control ===
Source: ipmiutil
Section: utils
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 dh-systemd (>= 1.5),
 libfreeipmi-dev (>= 1.1.5) | libopenipmi-dev (>=2.0.18),
 libssl-dev
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/ipmiutil/
Vcs-Git: git://anonscm.debian.org/collab-maint/ipmiutil.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ipmiutil.git

Package: ipmiutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IPMI management utilities
 ipmiutil performs a series of common IPMI server management
 functions to allow administrators to perform management functions
 without a learning curve. It can gather FRU inventory data,
 SEL firmware log, sensors, watchdog, power control, health,
 monitoring, and has an SOL console. It can write sensor thresholds,
 FRU asset tags, and supports a full IPMI configuration save/restore.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS += -fPIC
CONFPARA = --enable-gpl --enable-useflags --enable-libsensors

%:
	dh $@  --with autotools-dev --with systemd

override_dh_auto_configure:
	$(CURDIR)/beforeconf.sh 
	dh_auto_configure -- $(CONFPARA)

override_dh_autoreconf:
	dh_autoreconf --exclude=mkinstalldirs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman doc/iseltime.8
	dh_installman

override_dh_installinit:
	dh_installinit --name=ipmi_port
	dh_installinit --name=ipmi_info
	dh_installinit --name=ipmiutil_asy
	dh_installinit --name=ipmiutil_evt
	dh_installinit --name=ipmiutil_wdt

## ipmiutil 2.9.7

=== doc/Makefile ===
--- 
+++ 
@@ -46,12 +46,12 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
-AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
+ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run aclocal-1.11
+AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
-AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
-AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
+AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoconf
+AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoheader
+AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -99,13 +99,13 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
+MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
+OS_CFLAGS = -DLINUX  -fPIC   -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
 OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
 OS_LFLAGS = 
 OTOOL = 
@@ -113,9 +113,9 @@
 PACKAGE = ipmiutil
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ipmiutil
-PACKAGE_STRING = ipmiutil 2.9.6
+PACKAGE_STRING = ipmiutil 2.9.7
 PACKAGE_TARNAME = ipmiutil
-PACKAGE_VERSION = 2.9.6
+PACKAGE_VERSION = 2.9.7
 PATH_SEPARATOR = :
 PKG_DIR = /root/rpmbuild
 RANLIB = ranlib
@@ -123,15 +123,15 @@
 SED = sed
 SET_MAKE = 
 SHELL = /bin/sh
-SHR_LINK = libipmiutil.so
+SHR_LINK = libipmiutil.so.1
 STRIP = strip
 SUBDIR_S = doc scripts lib util
 SYSTEMD_DIR = /usr/share/ipmiutil
-VERSION = 2.9.6
-abs_builddir = /usr/dev/ipmiutil-2.9.6/doc
-abs_srcdir = /usr/dev/ipmiutil-2.9.6/doc
-abs_top_builddir = /usr/dev/ipmiutil-2.9.6
-abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
+VERSION = 2.9.7
+abs_builddir = /usr/dev/ipmiutil-2.9.7/doc
+abs_srcdir = /usr/dev/ipmiutil-2.9.7/doc
+abs_top_builddir = /usr/dev/ipmiutil-2.9.7
+abs_top_srcdir = /usr/dev/ipmiutil-2.9.7
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -159,7 +159,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
+install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.7/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== lib/Makefile ===
--- 
+++ 
@@ -47,12 +47,12 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
-AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
+ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run aclocal-1.11
+AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
-AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
-AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
+AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoconf
+AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoheader
+AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -101,13 +101,13 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
+MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
+OS_CFLAGS = -DLINUX  -fPIC   -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
 OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
 OS_LFLAGS = 
 OTOOL = 
@@ -115,9 +115,9 @@
 PACKAGE = ipmiutil
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ipmiutil
-PACKAGE_STRING = ipmiutil 2.9.6
+PACKAGE_STRING = ipmiutil 2.9.7
 PACKAGE_TARNAME = ipmiutil
-PACKAGE_VERSION = 2.9.6
+PACKAGE_VERSION = 2.9.7
 PATH_SEPARATOR = :
 PKG_DIR = /root/rpmbuild
 RANLIB = ranlib
@@ -125,15 +125,15 @@
 SED = sed
 SET_MAKE = 
 SHELL = /bin/sh
-SHR_LINK = libipmiutil.so
+SHR_LINK = libipmiutil.so.1
 STRIP = strip
 SUBDIR_S = doc scripts lib util
 SYSTEMD_DIR = /usr/share/ipmiutil
-VERSION = 2.9.6
-abs_builddir = /usr/dev/ipmiutil-2.9.6/lib
-abs_srcdir = /usr/dev/ipmiutil-2.9.6/lib
-abs_top_builddir = /usr/dev/ipmiutil-2.9.6
-abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
+VERSION = 2.9.7
+abs_builddir = /usr/dev/ipmiutil-2.9.7/lib
+abs_srcdir = /usr/dev/ipmiutil-2.9.7/lib
+abs_top_builddir = /usr/dev/ipmiutil-2.9.7
+abs_top_srcdir = /usr/dev/ipmiutil-2.9.7
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -161,7 +161,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
+install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.7/install-sh
 libdir = $(iprefix)/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== scripts/Makefile ===
--- 
+++ 
@@ -46,12 +46,12 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run aclocal-1.11
-AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run tar
+ACLOCAL = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run aclocal-1.11
+AMTAR = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoconf
-AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run autoheader
-AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run automake-1.11
+AUTOCONF = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoconf
+AUTOHEADER = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run autoheader
+AUTOMAKE = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -99,13 +99,13 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.6/missing --run makeinfo
+MAKEINFO = ${SHELL} /usr/dev/ipmiutil-2.9.7/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OS_CFLAGS = -DLINUX  -fPIC  -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
+OS_CFLAGS = -DLINUX  -fPIC   -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
 OS_DRIVERS = imbapi.c ipmimv.c ipmild.c ipmidir.c
 OS_LFLAGS = 
 OTOOL = 
@@ -113,9 +113,9 @@
 PACKAGE = ipmiutil
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ipmiutil
-PACKAGE_STRING = ipmiutil 2.9.6
+PACKAGE_STRING = ipmiutil 2.9.7
 PACKAGE_TARNAME = ipmiutil
-PACKAGE_VERSION = 2.9.6
+PACKAGE_VERSION = 2.9.7
 PATH_SEPARATOR = :
 PKG_DIR = /root/rpmbuild
 RANLIB = ranlib
@@ -123,15 +123,15 @@
 SED = sed
 SET_MAKE = 
 SHELL = /bin/sh
-SHR_LINK = libipmiutil.so
+SHR_LINK = libipmiutil.so.1
 STRIP = strip
 SUBDIR_S = doc scripts lib util
 SYSTEMD_DIR = /usr/share/ipmiutil
-VERSION = 2.9.6
-abs_builddir = /usr/dev/ipmiutil-2.9.6/scripts
-abs_srcdir = /usr/dev/ipmiutil-2.9.6/scripts
-abs_top_builddir = /usr/dev/ipmiutil-2.9.6
-abs_top_srcdir = /usr/dev/ipmiutil-2.9.6
+VERSION = 2.9.7
+abs_builddir = /usr/dev/ipmiutil-2.9.7/scripts
+abs_srcdir = /usr/dev/ipmiutil-2.9.7/scripts
+abs_top_builddir = /usr/dev/ipmiutil-2.9.7
+abs_top_srcdir = /usr/dev/ipmiutil-2.9.7
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -159,7 +159,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.6/install-sh
+install_sh = ${SHELL} /usr/dev/ipmiutil-2.9.7/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== debian/changelog ===
ipmiutil (2.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh and rename patches.
  * Remove erroneous debian/ipmiutuil.ipmi_port.init.
  * Replace deprecated portmap with rpcbind (Closes: #796364):
    - debian/patches/0700-init.patch:
      + Replace portmap with rpcbind in scripts/ipmi_port.sh.
    - debian/control:
      + Add rpcbind to Depends.
  * debian/rules:
    - Pass "--with autoreconf" to dh.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 17 Dec 2015 21:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,10 @@
 
 Package: ipmiutil
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ rpcbind
 Description: IPMI management utilities
  ipmiutil performs a series of common IPMI server management
  functions to allow administrators to perform management functions

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CONFPARA = --enable-gpl --enable-useflags --enable-libsensors
 
 %:
-	dh $@  --with autotools-dev --with systemd
+	dh $@  --with autotools-dev --with systemd --with autoreconf
 
 override_dh_auto_configure:
 	$(CURDIR)/beforeconf.sh

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$// \
http://sf.net/ipmiutil/ipmiutil-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2)
